%define build_number 1237

%define major 0
%define libname %mklibname digidocpp %major
%define develname %mklibname digidocpp -d

Name:		libdigidocpp
Version:	3.9.0
Release:	%mkrel 4
Summary:	Library for creating and validating BDoc and DDoc containers

Group:		System/Libraries
License:	LGPLv2
URL:		http://id.eesti.ee
Source:		http://archive.esteid.org/%{version}/%{name}-%{version}.%{build_number}.tar.gz

BuildRequires:	cmake
BuildRequires:	esteidcerts
BuildRequires:	pkgconfig(libdigidoc)
BuildRequires:	xml-security-c-devel
BuildRequires:	xsd-devel

Requires:	%{_lib}digidoc2
Requires:	esteidcerts

%description
libdigidocpp is a C++ library for reading, validating, and creating BDoc and
DDoc containers. These file formats are widespread in Estonia where they are
used for storing legally binding digital signatures.


%package	-n %libname
Group:		System/Libraries
Summary:	Library for creating and validating bdoc and ddoc containers
Requires:	%{name} >= %{version}-%{release}

%description	-n %libname
libdigidocpp is a C++ library for reading, validating, and creating BDoc and
DDoc containers. These file formats are widespread in Estonia where they are
used for storing legally binding digital signatures.


%package	-n %develname
Summary:	Development files for %{name}
Group:		Development/C++
Requires:	%{libname} = %{version}-%{release}
Requires:	libdigidoc-devel
Requires:	libp11-devel
Requires:	openssl-devel
Requires:	xml-security-c-devel
Requires:	xsd-devel
Provides:	%{name}-devel = %{version}-%{release}

%description	-n %develname
This package contains libraries and header files for
developing applications that use %{name}.


%prep
%autosetup -n %{name}


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake} -DCMAKE_INSTALL_SYSCONFDIR:PATH=%{_sysconfdir} -DCERTS_LOCATION="%{_datadir}/esteid/certs" ../..
popd

%make -C %{_target_platform}/build


%install
%makeinstall_std -C %{_target_platform}/build


%files
%dir %{_sysconfdir}/digidocpp/
%config %{_sysconfdir}/digidocpp/digidocpp.conf
%{_sysconfdir}/digidocpp/37242.p12
%{_sysconfdir}/digidocpp/schema/
%{_bindir}/digidoc-*
%{_mandir}/man1/digidoc-tool.1.*

%files -n %libname
%{_libdir}/*.so.%{major}
%{_libdir}/*.so.%{version}

%files -n %develname
%{_includedir}/digidocpp/
%{_libdir}/pkgconfig/lib*.pc
%{_libdir}/*.so


%changelog
* Sun Oct 26 2014 sander85 <sander85> 3.9.0-4.mga5
+ Revision: 793483
- Rebuild for new libdigidoc

* Wed Oct 15 2014 umeabot <umeabot> 3.9.0-3.mga5
+ Revision: 749329
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.9.0-2.mga5
+ Revision: 681409
- Mageia 5 Mass Rebuild

  + sander85 <sander85>
    - Convert to %%autosetup

* Mon Jul 07 2014 sander85 <sander85> 3.9.0-1.mga5
+ Revision: 650467
- New version: 3.9.0
- Proper fix for unneeded certs

* Wed Feb 05 2014 sander85 <sander85> 3.8.0-1.mga5
+ Revision: 583370
- New version: 3.8.0

* Sat Oct 19 2013 umeabot <umeabot> 3.7.2-2.mga4
+ Revision: 533352
- Mageia 4 Mass Rebuild

* Wed Aug 28 2013 sander85 <sander85> 3.7.2-1.mga4
+ Revision: 472635
- New version: 3.7.2

* Tue Jun 18 2013 sander85 <sander85> 3.7.1-2.mga4
+ Revision: 444712
- Rebuild for new xml-security-c

* Sun Jun 02 2013 sander85 <sander85> 3.7.1-1.mga4
+ Revision: 435397
- New version: 3.7.1

* Sat Jan 12 2013 umeabot <umeabot> 3.6.0.0-3.mga3
+ Revision: 356976
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Sep 18 2012 sander85 <sander85> 3.6.0.0-2.mga3
+ Revision: 295988
- Fix cmake sysconfdir

* Mon Sep 17 2012 sander85 <sander85> 3.6.0.0-1.mga3
+ Revision: 295432
- New version: 3.6.0.0

* Sat Jul 21 2012 sander85 <sander85> 3.5.1-1.mga3
+ Revision: 273185
- new version: 3.5.1

* Sun Jan 08 2012 sander85 <sander85> 3.5.0-1.mga2
+ Revision: 193310
- new version: 3.5.0
- rebuild for new libp11

* Sat Apr 23 2011 sander85 <sander85> 3.1.0-1.mga1
+ Revision: 89918
- imported package libdigidocpp


* Sat Apr 23 2011 Sander Lepik <sander.lepik@eesti.ee> - 3.1.0-1.mga1
- import for mageia

* Sat Oct 30 2010 Sander Lepik <sander.lepik@eesti.ee> - 0.3.0-4mdv2010.1
- return to oled versions of xsd & xml-security-c

* Thu Oct 28 2010 Sander Lepik <sander.lepik@eesti.ee> - 0.3.0-4mdv2010.1
- rebuild with new xml-security-c

* Wed Oct 27 2010 Sander Lepik <sander.lepik@eesti.ee> - 0.3.0-3mdv2010.1
- rebuild with new xsd

* Wed Oct 27 2010 Sander Lepik <sander.lepik@eesti.ee> - 0.3.0-2mdv2010.1
- rebuild with new xsd

* Thu Oct 14 2010 Sander Lepik <sander.lepik@eesti.ee> - 0.3.0-1mdv2010.1
- New version 0.3.0

* Thu Sep 23 2010 Sander Lepik <sander.lepik@eesti.ee> - 0.2.0-2mdv2010.1
- Correct package names for php, perl and python

* Tue Sep 07 2010 Sander Lepik <sander.lepik@eesti.ee> - 0.2.0-1mdv2010.1
- New version on new bs
- Spec file cleaned up

* Wed Apr 14 2010 Sander Lepik <sander.lepik@eesti.ee> - 0.1.0-8mdv2010.1
- New build from Google Code repository
 
* Mon Mar 01 2010 Sander Lepik <sander.lepik@eesti.ee> - 0.1.0-7mdv2010.1
- Changeset 2623: show unknown status if failed to read certificate

* Tue Feb 02 2010 Sander Lepik <sander.lepik@eesti.ee> - 0.1.0-6mdv2010.1
- Changeset 2454: Removed getUserConfDir from the abstract class where it does not belong.
- Changeset 2528: cleanup, fix compiler warning, fix leaks, check some errors and throw exceptions

* Mon Jan 18 2010 Sander Lepik <sander.lepik@eesti.ee> - 0.1.0-5mdv2010.1
- Changeset 2386: update conf to new SK certs (Ticket #1183)
- Changeset 2427: implemented user based configuration

* Tue Dec 22 2009 Sander Lepik <sander.lepik@eesti.ee> - 0.1.0-4mdv2010.1
- Changeset 2350 use templates for type safety

* Thu Dec 17 2009 Sander Lepik <sander.lepik@eesti.ee> - 0.1.0-3mdv2010.1
- Changeset 2332: add SK new certs, will be active 15 jan 2010
- Changeset 2333: doxygen doc

* Thu Dec 10 2009 Sander Lepik <sander.lepik@eesti.ee> - 0.1.0-2mdv2010.1
- Changeset 2241: Link with minizip library if it's available and fall back to using bundled copy if not
- Changeset 2331: add DDoc API doxygen docs

* Fri Nov 20 2009 Sander Lepik <sander.lepik@eesti.ee> - 0.1.0-1mdv2010.1
- Initial release for Mandriva

* Sun Jun 14 2009 Kalev Lember <kalev@smartlink.ee> - 0.1.0-0.2.svn2079
- Initial RPM release.
